Skip to main content
PUT
/
environments
/
{org}
/
{env_name}
/
report
/
ECS
Report ECS environment
curl --request PUT \
  --url https://app.kosli.com/api/v2/environments/{org}/{env_name}/report/ECS \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "artifacts": [
    {
      "digests": {},
      "taskArn": "<string>",
      "creationTimestamp": 123,
      "cluster_name": "<string>",
      "service_name": "<string>"
    }
  ],
  "type": "ECS"
}
'
{
  "message": "<string>",
  "errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_name
string
required
org
string
required

Body

application/json

ECS report containing artifacts

artifacts
ECSArtifact · object[]
required

all artifacts in the report

type
string
default:ECS

Environment type

Allowed value: "ECS"

Response

Report processed successfully, no new snapshots to create

Last modified on April 9, 2026